function optntest5(arg1,varargin)
% optntest5  show how multiple called functions can update default values

% selectfields get named fields if present for updating values in a
%  called function
optn1=selectfields(varargin,{'a1','b1'},true)

% fields not given default values go into secand ouput struct
[optn,optnA]=optndfts(varargin,'a',1,'b',2)
% optn provides default/updated values for this function

% select field can also select values from optnA
optn2=selectfields(optnA,{'a2','b2'},true)

% send update values to called functions
fnct1(optn1)
fnct2(optn2)
return
end


function fnct1(varargin)
optnfn1=optndfts(varargin,'a1',11,'b1',12);
optnfn1
return
end

function fnct2(varargin)
optnfn2=optndfts(varargin,'a2',21,'b2',22);
optnfn2
return
end

     
% optntest5(100,'a',11,'b2',202,'a1',101)
% optn1 = 
%   struct with fields:
% 
%     a1: 101
% optn = 
%   struct with fields:
% 
%     a: 11
%     b: 2
% optnA = 
%   struct with fields:
% 
%     b2: 202
%     a1: 101
% optn2 = 
%   struct with fields:
% 
%     b2: 202
% optnfn1 = 
%   struct with fields:
% 
%     a1: 101
%     b1: 12
% optnfn2 = 
%   struct with fields:
% 
%     a2: 21
%     b2: 202
