function optntest3(arg1,varargin)  
% optntest3  Shows how structs setting values can be passed to called
%  functions to replace default values set withing called function

% value updates for this function including those for called functions
%  are given in optn
optn=optndfts(varargin,'a',1,'fn1',struct('a',11,'b',12),  ...
    'fn2',struct('a',21,'b',22),'b',2)

% structs updating default values can then be passed to functions 
fnct1(optn.fn1)
fnct2(optn.fn2)

return
end


function fnct1(varargin)
optn1=optndfts(varargin,'a',11,'b',12);
optn1
return
end

function fnct2(varargin)
optn2=optndfts(varargin,'a',21,'b',22);
optn2
return
end

     
% optntest3(100,'a',11,'fn1',struct('a',101),'fn2',struct('b',202))
% optn = 
%   struct with fields:
% 
%       a: 11
%     fn1: [1×1 struct]
%     fn2: [1×1 struct]
%       b: 2
% optn1 = 
%   struct with fields:
% 
%     a: 101
%     b: 12
% optn2 = 
%   struct with fields:
% 
%     a: 21
%     b: 202
